import traceback
import redis
import logging
import json
import datetime
from log_settings import *
from auto_request import set_reply_to_redis, reply2, login

if __name__ == "__main__":

    try:
        now = datetime.datetime.now().minute
        redis_key1 = "cybertron:set_reply_id:one"
        redis_client = set_reply_to_redis()
        logging.info("get now -----munite:%s" % now)
        have_reply1 = redis_client.hget(redis_key1, str(now - 5))
        if have_reply1:
            logging.info("get now -----have_reply1:%s" % have_reply1)
            result = json.loads(str(have_reply1, encoding="utf-8"))
            if result:
                for item in result:
                    cook = login()
                    reply2(cook, item["topic_id"], item["answer"], item["id"])
                redis_client.hdel(redis_key1, str(now - 5))

    except:
        logging.error("catch exception,main:%s" % traceback.format_exc())
